Subject: Re: [PATCH v2 2/8] fast-import: directly use strbufs for paths

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 10 Apr 2024 12:18:36 +0200

On Wed, Apr 10, 2024 at 10:07:13AM +0000, Thalia Archibald wrote:
> On Apr 9, 2024, at 23:27, Patrick Steinhardt <[email-masked]> wrote:
> > On Mon, Apr 01, 2024 at 09:03:06AM +0000, Thalia Archibald wrote:
> >> 
> >> + parse_path_eol(&path, p
> >> , "path");
> > 
> > This looks weird. Did you manually edit the patch or is there some weird
> > character in here that breaks diff generation?
> > 
> >> + tree_content_get(&b-
> >>> branch_tree, source.buf, &leaf, 1);
> > 
> > Same here. Is your mail agent maybe wrapping lines?
> > 
> >> - s
> >> trbuf_reset(&uq);
> > 
> > And here.
> > 
> > Other than those formatting issues this patch looks fine to me.
> 
> I’m not able to reproduce these rewrapping issues anywhere I view this email: in
> my outbox, inbox, or the archive. I think it’s on your end.
> 
> https://lore.kernel.org/git/[email-masked]/

Could be that this is happening because the mails you sent to me are
actually encrypted.

Patrick